﻿using System.ComponentModel;

namespace CompanyName.ApplicationName.DataModels.Enums
{
    /// <summary>
    /// Represents a page or View in the related Mastering Windows Presentaion Foundation demonstration application.
    /// </summary>
    public enum Page
    {
        /// <summary>
        /// Represents the Bit Rate page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Bit Rate")]
        BitRate,
        /// <summary>
        /// Represents the Weight Measurement page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Weight Measurement")]
        WeightMeasurements,
        /// <summary>
        /// Represents the User page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("User")]
        User,
        /// <summary>
        /// Represents the Panel page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Panel")]
        Panel,
        /// <summary>
        /// Represents the Adorner page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Adorner")]
        Adorner,
        /// <summary>
        /// Represents the Meter page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Meter")]
        Meter,
        /// <summary>
        /// Represents the Animation page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Animation")]
        Animation,
        /// <summary>
        /// Represents the Easing Animation page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Easing Animation")]
        EasingAnimation,
        /// <summary>
        /// Represents the Animated Panel page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Animated Panel")]
        AnimatedPanel,
        /// <summary>
        /// Represents the Drawing page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Drawing")]
        Drawing,
        /// <summary>
        /// Represents the Forced Container page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Forced Container")]
        ForcedContainer,
        /// <summary>
        /// Represents the Button page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Button")]
        Button,
        /// <summary>
        /// Represents the Visually Appealing page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Visually Appealing")]
        VisuallyAppealing,
        /// <summary>
        /// Represents the Validation page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Validation")]
        Validation,
        /// <summary>
        /// Represents the Feedback page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Feedback")]
        Feedback,
        /// <summary>
        /// Represents the Spreadsheet page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Spreadsheet")]
        Spreadsheet,
        /// <summary>
        /// Represents the Basic Product page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Basic Product")]
        ProductViewModel,
        /// <summary>
        /// Represents the Extended Product page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Extended Product")]
        ProductViewModelExtended,
        /// <summary>
        /// Represents the Product Notify page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Product Notify")]
        ProductNotifyViewModel,
        /// <summary>
        /// Represents the Product Notify Extended page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Product Notify Extended")]
        ProductNotifyViewModelExtended,
        /// <summary>
        /// Represents the Product Notify Generic page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Product Notify Generic")]
        ProductNotifyViewModelGeneric,
        /// <summary>
        /// Represents the Error Template page in the related Mastering Windows Presentaion Foundation demonstration application.
        /// </summary>
        [Description("Error Template")]
        ErrorTemplate
    }
}